<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;

Route::group([
    'as' => 'configurations.',
], function (Router $router) {
    $router->get('configurations/{module}', 'IndexController@index')
        ->where(['module' => '[a-z-_]+']);
    $router->post('configurations/{module}', 'IndexController@store')
        ->where(['module' => '[a-z-_]+']);
    $router->get('configurations/{module}/create', 'IndexController@create')
        ->where(['module' => '[a-z-_]+']);
    $router->get('configurations/{module}/{id}/edit', 'IndexController@edit')
        ->where(['module' => '[a-z-_]+', 'id' => '[0-9]+']);
    $router->put('configurations/{module}/{id}', 'IndexController@update')
        ->where(['module' => '[a-z-_]+', 'id' => '[0-9]+']);
});
